import java.util.Scanner;

public class ClockHandtoDegree {
	// Zj(the hour-hand)̊pxƕvZ
	// px00xƂĎvɃvX
	// vs\́A-1.0߂
	static double getHourHandDeg( int hour, int minute )
	{
		// 0̏ꍇ-1.0߂iG[)
		if ( 0 > hour ) return -1.0;

		// 0̏ꍇ-1.0߂iG[)
		if ( 0 > minute ) return -1.0;

		// 59𒴂ꍇ-1.0߂iG[)
		if ( 59 < minute ) return -1.0;

		// Ԃ0`12ɕϊ
		hour = hour % 12;

		// vZZj̊px
		double hh_deg;
		hh_deg = ( 360.0 / 12.0 ) * (double)hour;

		// vZj̊px
		double mh_deg;
		mh_deg = ( 360.0 / 12.0 / 60.0 ) * (double)minute;

		// ʂ߂
		return hh_deg + mh_deg;
	}


	// j(the minute-hand)̊px𕪂vZ
	// px00xƂĎvɃvX
	// vs\́A-1.0߂
	static double getMinuteHandDeg( int minute )
	{
		// 0̏ꍇ-1.0߂iG[)
		if ( 0 > minute ) return -1.0;

		// 59𒴂ꍇ-1.0߂iG[)
		if ( 59 < minute ) return -1.0;

		// ʂ߂
		return ( 360.0 / 60.0 ) * (double)minute;
	}


	// Zjj̎v̊pxvZ
	// vs\́A-1.0߂
	static double getClockHandDeg( int hour, int minute )
	{
		// Zj̊px
		double hh_deg = getHourHandDeg( hour, minute );
		if ( 0.0 > hh_deg ) return -1.0;

		// j̊px
		double mh_deg = getMinuteHandDeg( minute );
		if ( 0.0 > mh_deg ) return -1.0;

		// Zjj̊px
		double clock_deg = mh_deg - hh_deg;

		// vZʂ}CiX̏ꍇA360𑫂ăvXɂ
		if ( 0.0 > clock_deg )
			clock_deg += 360.0;
			
		return clock_deg;
	}


	// C
	public static void main( String[] args ) {
		// ̒lL[{[h
		Scanner scanner = new Scanner( System.in );

		// Ԃ̓
		System.out.print( "Ԃ𐮐œ͂ĂF" );
    		String h = scanner.next();
		int hour = Integer.parseInt( h );

		// ̓
		System.out.print( "𐮐œ͂ĂF" );
    		String m = scanner.next();
		int minute = Integer.parseInt( m );
		
		// Zjj̊pxvZ
		double clock_deg = getClockHandDeg( hour, minute );

		// ʏo
		System.out.println( ": " + hour + ":" + minute );
		System.out.println( "px: " + clock_deg );
	}
}